[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# enumerator(TDataSet):TDataSetEnumerator

Operator to return dataset enumerator

## Declaration

Source position: db.pas line 2266

`operator operator enumerator(`
`ADataSet: TDataSet`
`):TDataSetEnumerator;`

## Arguments

`ADataSet` |  | The dataset for which to return an enumerator

## Function result

The new enumerator

## Description

This operator allows to use the TDataSetEnumerator as an enumerator for a TDataset

## See also

TDataSetEnumerator |  | Enumerator for TDataset records
TDataset |  | Base class for records-based data-access